PY3VERSIONS(1)

NAME
py3versions - print python3 version information

SYNOPSIS
py3versions [-h] [-v] [<options>]

DESCRIPTION
py3versions prints information about installed, supported python3 runtimes, the default runtime, and parses the information of the PythonVersion fields in the package control file for Python3.

OPTIONS

-d, --default
    Show the default python3 version.

-s, --supported
    Show the supported python3 versions. List is lowest version to highest version with the default version last (e.g. python3.4 python3.6 python3.5 if python3.4, 3.5, and 3.6 are supported, but python3.5 is the default python3).

-r, --requested [<version string>|<control file>]
    Reads the value of the X-Python3-Version field in the source section of a control file and shows all matching python3 versions. The parameter is interpreted as a version string, if it is not the name of a file. If the X-Python3-Version field is missing, it will fall back to list the supported Python3 versions after checking debian/control. Versions less than 3 are ignored. The keyword all is ignored because it covers all Python2 versions. The former keyword current is not supported at all in Python3. Uses the same sort order as the -s, --supported option.

-i, --installed
    Show the installed supported python3 versions.

--min-supported
    Show the minimum supported python3 version.

--max-supported
    Show the maximum supported python3 version.

-v, --version
    Limit the output to the version numbers of the python3 versions.

-h, --help
    Print a help text.

SEE ALSO
Python policy.

AUTHOR
Matthias Klose